Subject: Re: [PATCH] net: pktgen: support injecting packets for qdisc testing

From: John Fastabend <[email-masked]>
Date: Fri, 08 Jan 2016 13:55:13 -0800

On 16-01-08 01:36 PM, Eric Dumazet wrote:
> On Fri, 2016-01-08 at 07:38 -0800, John Fastabend wrote:
> 
>> Also I'll respin this with a change so xmit_{drop|cn|policed} are not
>> counted as tx_bytes and pkts sent (idea from Jamal). However I won't
>> abort the burst because I do like this stressing the entry point of my
>> qdisc.
> 
> This reminds me that bonding/team drivers always return NETDEV_TX_OK
> status, even if the chosen slave could not queue or send the packet.
> 
> 
> 

hmm this could potentially break protocols that are handling the
return codes like fcoe which puts a packet back on its queue if it
can't be sent.

.John